server {
  listen 8888;
  server_name localhost;
  location / {
      proxy_pass http://localhost:30500;
      client_max_body_size 5120m;
      client_body_buffer_size 5120m;
      client_body_timeout 6000s;
      proxy_send_timeout 10000s;
      proxy_read_timeout 10000s;
      proxy_connect_timeout 600s;
      proxy_max_temp_file_size 5120m;
      proxy_request_buffering on;
      proxy_buffering off;
      proxy_buffer_size 4k;
      proxy_buffers 4 12k;
      proxy_set_header Host fake-domain.xmyd.io;
      proxy_set_header X-Real-IP $remote_addr;
      proxy_set_header Upgrade $http_upgrade;
      proxy_set_header Connection "upgrade";
      proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
  }

  location /_AMapService/v4/map/styles {
          set $args "$args&jscode=cf66cea95bdcdfcf8048456b36f357a1";
          proxy_pass https://webapi.amap.com/v4/ap/styles;
  }

  location /_AMapService/ {
      set $args "$args&jscode=cf66cea95bdcdfcf8048456b36f357a1";
      proxy_pass https://restapi.amap.com/;
  }

  location /rtc/v1/ {
        add_header Access-Control-Allow-Headers X-Requested-With;
        add_header Access-Control-Allow-Methods GET,POST,OPTIONS;
        proxy_pass http://127.0.0.1:30985/rtc/v1/;
  }

  location ~ ^/\w*/actuator/ {
      return 403;
  }
}